import request from '@/utils/request'

/**
 *我的通知相关
 *@author：乔迎娜
 *@date：2020-07
 * */

// 列表
export function listInfo(query) {
  return request({
    url: '/notify/recvList',
    method: 'get',
    params: query
  })
}

// 签收
export function qsInfo(id) {
  return request({
    url: '/notify/receive/' + id,
    method: 'get'
  })
}

// 详细
export function xxInfo(id) {
  return request({
    url: '/notify/' + id,
    method: 'get'
  })
}

// 删除
export function delInfo(id) {
  return request({
    url: '/notify/deleteNotify/' + id,
    method: 'delete'
  })
}

// 导出
export function exportInfo(query) {
  return request({
    url: '/system/info/export',
    method: 'get',
    params: query
  })
}
